Package org.eclipse.birt.report.engine.layout.pdf.emitter

# Class InlineStackingLayout

java.lang.Object
org.eclipse.birt.report.engine.layout.pdf.emitter.Layout
org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout
org.eclipse.birt.report.engine.layout.pdf.emitter.InlineStackingLayout

All Implemented Interfaces:
  `IInlineStackingLayout`

Direct Known Subclasses:
  `InlineContainerLayout`, `InlineTextLayout`

public class InlineStackingLayout extends org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout implements IInlineStackingLayout

## Field Summary

### Fields inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout

`contextList, currentContext, isInBlockStacking, isInline, offsetX, offsetY`

### Fields inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.Layout

`content, context, logger, parent, specifiedHeight, specifiedWidth`

## Constructor Summary

Constructors
Constructor
Description
`InlineStackingLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.LayoutEngineContext context, org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout parent, IContent content)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addToRoot(org.eclipse.birt.report.engine.layout.area.impl.AbstractArea area)`
`protected void`
`closeLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout.ContainerContext currentContext, int index, boolean finished)`
`protected void`
`createRoot()`
`boolean`
`endLine()`
`int`
`getMaxLineWidth()`
`protected void`
`initialize()`
`boolean`
`isEmptyLine()`
`void`
`setTextIndent(ITextContent textContent)`
`protected void`
`verticalAlign()`

### Methods inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout

`addArea, addArea, addArea, addToRoot, addToRoot, align, autoPageBreak, closeExcludingLast, closeFirstN, closeLayout, getCurrentMaxContentHeight, getCurrentMaxContentWidth, getLineHeight, getMaxAvaHeight, getMaxAvaWidth, getOffsetX, getOffsetY, gotoFirstPage, gotoLastPage, isPageEmpty, isRootEmpty, layout, setCurrentContext, step`

### Methods inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.Layout

`calculateSpecifiedHeight, calculateSpecifiedWidth, getDimensionValue, getDimensionValue, getDimensionValue, getDimensionValue, getDimensionValue, getDimensionValue, getParent, getResolution, getTableLayoutManager, removeMargin, resolveBoxConflict, validateBoxProperty, validateBoxProperty, visitContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InlineStackingLayout

public InlineStackingLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.LayoutEngineContext context, org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout parent, IContent content)

## Method Details

### addToRoot

protected void addToRoot(org.eclipse.birt.report.engine.layout.area.impl.AbstractArea area)

Overrides:
  `addToRoot` in class `org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout`

### closeLayout

protected void closeLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout.ContainerContext currentContext, int index, boolean finished)

Specified by:
  `closeLayout` in class `org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout`

### createRoot

protected void createRoot()

Specified by:
  `createRoot` in class `org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout`

### verticalAlign

protected void verticalAlign()

### initialize

protected void initialize()

Specified by:
  `initialize` in class `org.eclipse.birt.report.engine.layout.pdf.emitter.Layout`

### endLine

public boolean endLine() throws org.eclipse.birt.core.exception.BirtException

Specified by:
  `endLine` in interface `IInlineStackingLayout`
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### getMaxLineWidth

public int getMaxLineWidth()

Specified by:
  `getMaxLineWidth` in interface `IInlineStackingLayout`

### isEmptyLine

public boolean isEmptyLine()

Specified by:
  `isEmptyLine` in interface `IInlineStackingLayout`

### setTextIndent

public void setTextIndent(ITextContent textContent)

Specified by:
  `setTextIndent` in interface `IInlineStackingLayout`